#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-openssh-askpass
Version		:	1.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	GUI to query credentials on behalf of other programs. 

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://lxqt-project.org/
			#https://github.com/lxqt/%{name}

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	lxqt-config
BuildRequires	:	openssh
BuildRequires	:	mesa-devel
BuildRequires	:	qt5
#-----------------------------------------------------------------------------
%description
lxqt-openssh-askpass is a GUI to query credentials on behalf of
other programs. As indicated by its name it's primarily targeted
at ssh-agent, the SSH agent of OpenSSH, but it works with other
applications like e. g. EncFS as well.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
